Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 216346 - Enigmail XPI from MozDev site crashes Thunderbird on x86_64
Summary: Enigmail XPI from MozDev site crashes Thunderbird on x86_64
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-11-19 18:36 UTC by Russell Odom
Modified: 2018-04-11 09:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-15 14:38:26 UTC


Attachments (Terms of Use)

Description Russell Odom 2006-11-19 18:36:20 UTC
Description of problem:
Thunderbird 1.5.x crashes on x84_64 with the Enigmail X86_64 0.94.0 XPI. This
worked on FC4/TB1.0.x.

How reproducible: Every time; unfortunately I can't see any debug messages that
would help diagnosis.

Steps to Reproduce:
1. Install the x86_64 XPI from http://enigmail.mozdev.org/download.html
2. Restart Thunderbird
3. Try to do something with Enigmail, e.g. view a PGP-signed message

Additional info:
I'm not entirely sure whether this is a problem with Thunderbird; more likely I
think that this should be a package included in Fedora Extras (apologies if this
is the wrong place to request this), since the Mozdev site explicitly states
that their builds are only for official Thunderbird builds. Mandriva do this
with their mozilla-thunderbird-enigmail package, Suse includes it in their
standard Thunderbird package, and Debian also provide a package.

http://enigmail.mozdev.org/source.html has instructions for compiling your own XPI.

http://forums.mozillazine.org/viewtopic.php?t=485173 has another report from
someone else with the same problem.

Comment 1 David Monniaux 2006-11-21 09:36:46 UTC
Same problem here.

In addition, compiling one's own XPI is totally nonobvious: my compilation fails
due to mysterious g++ errors:
/usr/bin/ld: nsEnigModule.o: relocation R_X86_64_PC32 against
`NS_NewGenericModule2(nsModuleInfo const*, nsIModule**)' can not be used when
making a shared object; recompile with -fPIC
/usr/bin/ld: final link failed: Bad value


Comment 2 Remi Collet 2006-12-24 21:17:19 UTC
This is a "visibility" problem.

(re)building thunderbird with "ac_cv_visibility_pragma=no" is a workaround which
solved this issue (allowing to build enigmail or to use the available xpi).

Hope that's help.


Comment 3 Russell Odom 2007-01-09 08:52:55 UTC
Related: bug 175451

Remi Collet (comment 2) has built an RPM of Thunderbird with Enigmail at
http://remi.collet.free.fr/index.php?2006/12/24/269-thunderbird-with-enigmail-on-fc6-x86_64
- merci Remi!

Comment 4 Remi Collet 2007-05-05 13:28:46 UTC
This bug also affects ppc and thunderbird 2.0.0.0

Regards

Comment 5 Trever Adams 2007-09-26 07:26:26 UTC
I see this hasn't been addressed in a while. Enigmail is a good plugin that is
certainly needed for those who don't wish to use Evolution. It would be nice if
Fedora had enigmail and lightning, or at least worked with them.

Comment 6 Matěj Cepl 2007-12-10 09:23:28 UTC
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]

Comment 7 Matěj Cepl 2008-01-15 14:38:26 UTC
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}


Note You need to log in before you can comment on or make changes to this bug.